cURL / Mailing Lists / curl-library / Single Mail


How to build with ssl, idn and zlib with versions not from the system

From: <>
Date: Wed, 14 Oct 2009 17:51:18 +0000

I have a suse 10.2 linux system. I have version of OpenSSl and zlib and IDN
installed on my machine
These versions are
System libs
Openssl OpenSSL/0.9.8d
Idn libidn/1.9
Zlib zlib/1.2.3

I want to build libcurl with the versions of above three libraries which
are different from my system versions. I dont want to install these libs on
my system.
However I have these libs as packages available in 3 folders. These folders
have only Include and lib files.
The versions are
Idn Idn-1.9.0-bX
openssl openssl-0.9.8f-bX
zlib zlib-1.2.3-bX

The versions look same but i have modified the code of these libs.
So Basically i want to build lib curl with my own libs instead of system
libs. Please let me know how to build curl with these libs instead of
system libs.

I have given the paths to include and lib directories of my libs using
LDFLAGS and CPPFLAGS environment variables.
Also I tried giving --with-ssl=${ssl} --with-zlib=${zlib}
--with-libidn=${idn} in configure
where $ssl is path of folder where my openssl-0.9.8f-b0 lib/include folders
are present
and so on for other libs.
This does not work. I tested the curl (binary that gets created ) with
following command
./curl -V
this gives
curl 7.19.0 (i686-pc-linux-gnu) libcurl/7.19.0 OpenSSL/0.9.8d libidn/1.9
Protocols: tftp ftp telnet dict http file https ftps
Features: IDN Largefile NTLM SSL

So basically it did not take zlib dependency. And also wrong versions of
Please help

List admin:
Received on 2009-10-14